Bug 1554964

Summary: Unable to start ovsdb-server
Product: Red Hat OpenStack Reporter: Arie Bregman <abregman>
Component: openstack-selinuxAssignee: Lon Hohberger <lhh>
Status: CLOSED ERRATA QA Contact: Udi Shkalim <ushkalim>
Severity: high Docs Contact:
Priority: high    
Version: 13.0 (Queens)CC: abregman, fcharlie, mburns, mgrepl, ralonsoh, srevivo
Target Milestone: betaKeywords: Triaged
Target Release: 13.0 (Queens)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openstack-selinux-0.8.14-0.20180323145320.43e6f58.el7ost Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-06-27 13:36:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Arie Bregman 2018-03-13 16:18:35 UTC
Description of problem:

Neutron functional tests fail when trying to start ovsdb-server

type=SYSCALL msg=audit(1520957346.609:112944): arch=c000003e syscall=49 success=no exit=-13 a0=12 a1=7fffb8cafa00 a2=10 a3=7fffb8caf9f8 items=0 ppid=1 pid=2715 auid=4294967295 uid=997 gid=1001 euid=997 suid=997 fsuid=997 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=4294967295 comm="ovsdb-server" exe="/usr/sbin/ovsdb-server" subj=system_u:system_r:openvswitch_t:s0 key=(null)
type=PROCTITLE msg=audit(1520957346.609:112944): proctitle=6F767364622D736572766572002F6574632F6F70656E767377697463682F636F6E662E6462002D76636F6E736F6C653A656D6572002D767379736C6F673A657272002D7666696C653A696E666F002D2D72656D6F74653D70756E69783A2F7661722F72756E2F6F70656E767377697463682F64622E736F636B002D2D70726976
type=AVC msg=audit(1520957346.609:112945): avc:  denied  { name_bind } for  pid=2715 comm="ovsdb-server" src=6640 scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:object_r:ovsdb_port_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1520957346.609:112945): arch=c000003e syscall=49 success=no exit=-13 a0=11 a1=7fffb8cafa00 a2=10 a3=7fffb8caf9f8 items=0 ppid=1 pid=2715 auid=4294967295 uid=997 gid=1001 euid=997 suid=997 fsuid=997 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=4294967295 comm="ovsdb-server" exe="/usr/sbin/ovsdb-server" subj=system_u:system_r:openvswitch_t:s0 key=(null)
type=PROCTITLE msg=audit(1520957346.609:112945): proctitle=6F767364622D736572766572002F6574632F6F70656E767377697463682F636F6E662E6462002D76636F6E736F6C653A656D6572002D767379736C6F673A657272002D7666696C653A696E666F002D2D72656D6F74653D70756E69783A2F7661722F72756E2F6F70656E767377697463682F64622E736F636B002D2D70726976
type=AVC msg=audit(1520957346.615:112946): avc:  denied  { name_bind } for  pid=2715 comm="ovsdb-server" src=6640 scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:object_r:ovsdb_port_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1520957346.615:112946): arch=c000003e syscall=49 success=no exit=-13 a0=11 a1=7fffb8cafa00 a2=10 a3=7fffb8caf9f8 items=0 ppid=1 pid=2715 auid=4294967295 uid=997 gid=1001 euid=997 suid=997 fsuid=997 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=4294967295 comm="ovsdb-server" exe="/usr/sbin/ovsdb-server" subj=system_u:system_r:openvswitch_t:s0 key=(null)
type=PROCTITLE msg=audit(1520957346.615:112946): proctitle=6F767364622D736572766572002F6574632F6F70656E767377697463682F636F6E662E6462002D76636F6E736F6C653A656D6572002D767379736C6F673A657272002D7666696C653A696E666F002D2D72656D6F74653D70756E69783A2F7661722F72756E2F6F70656E767377697463682F64622E736F636B002D2D70726976
type=AVC msg=audit(1520957346.615:112947): avc:  denied  { name_bind } for  pid=2715 comm="ovsdb-server" src=6640 scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:object_r:ovsdb_port_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1520957346.615:112947): arch=c000003e syscall=49 success=no exit=-13 a0=12 a1=7fffb8cafa00 a2=10 a3=7fffb8caf9f8 items=0 ppid=1 pid=2715 auid=4294967295 uid=997 gid=1001 euid=997 suid=997 fsuid=997 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=4294967295 comm="ovsdb-server" exe="/usr/sbin/ovsdb-server" subj=system_u:system_r:openvswitch_t:s0 key=(null)
type=PROCTITLE msg=audit(1520957346.615:112947): proctitle=6F767364622D736572766572002F6574632F6F70656E767377697463682F636F6E662E6462002D76636F6E736F6C653A656D6572002D767379736C6F673A657272002D7666696C653A696E666F002D2D72656D6F74653D70756E69783A2F7661722F72756E2F6F70656E767377697463682F64622E736F636B002D2D70726976
type=AVC msg=audit(1520957346.616:112948): avc:  denied  { name_bind } for  pid=2715 comm="ovsdb-server" src=6640 scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:object_r:ovsdb_port_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1520957346.616:112948): arch=c000003e syscall=49 success=no exit=-13 a0=12 a1=7fffb8cafa00 a2=10 a3=7fffb8caf9f8 items=0 ppid=1 pid=2715 auid=4294967295 uid=997 gid=1001 euid=997 suid=997 fsuid=997 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=4294967295 comm="ovsdb-server" exe="/usr/sbin/ovsdb-server" subj=system_u:system_r:openvswitch_t:s0 key=(null)
type=PROCTITLE msg=audit(1520957346.616:112948): proctitle=6F767364622D736572766572002F6574632F6F70656E767377697463682F636F6E662E6462002D76636F6E736F6C653A656D6572002D767379736C6F673A657272002D7666696C653A696E666F002D2D72656D6F74653D70756E69783A2F7661722F72756E2F6F70656E767377697463682F64622E736F636B002D2D70726976
type=AVC msg=audit(1520957346.617:112949): avc:  denied  { name_bind } for  pid=2715 comm="ovsdb-server" src=6640 scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:object_r:ovsdb_port_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1520957346.617:112949): arch=c000003e syscall=49 success=no exit=-13 a0=12 a1=7fffb8cafa00 a2=10 a3=7fffb8caf9f8 items=0 ppid=1 pid=2715 auid=4294967295 uid=997 gid=1001 euid=997 suid=997 fsuid=997 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=4294967295 comm="ovsdb-server" exe="/usr/sbin/ovsdb-server" subj=system_u:system_r:openvswitch_t:s0 key=(null)
type=PROCTITLE msg=audit(1520957346.617:112949): proctitle=6F767364622D736572766572002F6574632F6F70656E767377697463682F636F6E662E6462002D76636F6E736F6C653A656D6572002D767379736C6F673A657272002D7666696C653A696E666F002D2D72656D6F74653D70756E69783A2F7661722F72756E2F6F70656E767377697463682F64622E736F636B002D2D70726976
type=AVC msg=audit(1520957346.617:112950): avc:  denied  { name_bind } for  pid=2715 comm="ovsdb-server" src=6640 scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:object_r:ovsdb_port_t:s0 tclass=tcp_socket
type=SYSCALL msg=audit(1520957346.617:112950): arch=c000003e syscall=49 success=no exit=-13 a0=11 a1=7fffb8cafa00 a2=10 a3=7fffb8caf9f8 items=0 ppid=1 pid=2715 auid=4294967295 uid=997 gid=1001 euid=997 suid=997 fsuid=997 egid=1001 sgid=1001 fsgid=1001 tty=(none) ses=4294967295 comm="ovsdb-server" exe="/usr/sbin/ovsdb-server" subj=system_u:system_r:openvswitch_t:s0 key=(null)
type=PROCTITLE msg=audit(1520957346.617:112950): proctitle=6F767364622D736572766572002F6574632F6F70656E767377697463682F636F6E662E6462002D76636F6E736F6C653A656D6572002D767379736C6F673A657272002D7666696C653A696E666F002D2D72656D6F74653D70756E69783A2F7661722F72756E2F6F70656E767377697463682F64622E736F636B002D2D70726976
type=AVC msg=audit(1520957346.623:112951): avc:  denied  { name_bind } for  pid=2715 comm="ovsdb-server" src=6640 scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:object_r:ovsdb_port_t:s0 tclass=tcp_socket


Version-Release number of selected component (if applicable): Latest neutron source


How reproducible: 100%


Steps to Reproduce:
1. Clone neutron
2. Run dsvm-functional

Comment 1 Lon Hohberger 2018-03-14 12:39:33 UTC
Can you attach the audit.log?

Comment 4 Assaf Muller 2018-03-21 14:58:05 UTC
*** Bug 1556822 has been marked as a duplicate of this bug. ***

Comment 11 errata-xmlrpc 2018-06-27 13:36:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086

Comment 12 Nate Johnston 2019-02-11 15:24:20 UTC
*** Bug 1647481 has been marked as a duplicate of this bug. ***